smart_arrays_plot_polyline 2.2.1

Dart js
Flutter web

Plots one-dimensional arrays as polylines (curves) in the browser, along with axes and legend text, with versatile view options.

Smart Arrays Plot Polyline #

Version history #

2.2.1 - 2019-10-05 Fixed another bug in example2

2.2.0 - 2019-10-05 Fixed bug in example2

2.1.9 - 2019-10-05 Added class SimplePlot.mult and example2.dart

2.1.8 - 2019-10-01 Added link to contour finder

2.1.7 - 2019-10-01 Fixed exporting SimpleContourRenderer

2.1.6 - 2019-10-01 Added class SimpleContourRenderer

2.1.5 - 2019-09-27 Changed signature of the constructors, vertical axis for contour plot now working.

2.0.0 - 2019-07-10 First version available on pub. site.

2.0.1 - 2019-08-02 Fixed health suggestions of pub.dev

2.0.2 - 2019-08-02 Fixed more health suggestions of pub.dev

2.0.3 - 2019-08-02 Fixed more health suggestions of pub.dev

2.0.4 - 2019-08-04 Fixed more health suggestions of pub.dev

2.0.5 - 2019-08-04 Fixed web address of executable example

2.0.6 - 2019-08-04 Using package:pedantic/analysis_options.yaml from now on

2.0.7 - 2019-08-31 Added class SimplePlot to create a plot with a few lines of code.

2.0.8 - 2019-09-01 Documentation update

2.0.9 - 2019-09-03 Documentation update

2.0.10 - 2019-09-09 Added point coloring (attribute POINT_LIST_STROKE)

2.0.11 - 2019-09-11 Added class MarkerLines and the method Polyline.drawMarkers to draw vertical marker lines and text above a polyline.

2.1.0 - 2019-09-14 Example makes use of smart_arrays_sample_data

2.1.1 - 2019-09-25 Added class PlotLayoutSVG

2.1.2 - 2019-09-25 Updates exampl.dart.js

2.1.3 - 2019-09-25 Changed signature of PlotLayoutSVG()

2.1.4 - 2019-09-26 Removed class SimpleContourRenderer, now available in package smart_arrays_plot_2d.

1
likes
90
pub points
68%
popularity

Plots one-dimensional arrays as polylines (curves) in the browser, along with axes and legend text, with versatile view options.

Homepage

Documentation

API reference

Uploader

specpad@gmail.com

License

BSD (LICENSE)

Dependencies

build_runner, build_web_compilers, pedantic, smart_arrays_base, smart_arrays_compress, smart_arrays_contour_finder, smart_arrays_sample_data

More

Packages that depend on smart_arrays_plot_polyline